Seite 1 von 2

[gelöst] amaroK kann plötzlich keine mp3 mehr spielen?

Verfasst: 19. Nov 2005, 14:32
von LudwigVan
Hallo,

ich habe gestern via apt amaroK und arts usw. aktualisiert. Jetzt sacht miramaroK, es (bzw. helix) könne keine mp3 mehr spielen!! Ich solle ein anderes modul auswählen. lame habe ich, aber ich kann es nicht auswählen. Wieß jemand Rat, denn mit beep oder alternativen geht mp3 auch nicht...

SuSE 10.0
amaroK 1.3.6

achso, ich habe auch alle Multimediabibliotheken von KDE aktualisiert...

Bitte Hilfe!

L.

Verfasst: 19. Nov 2005, 23:33
von ojkastl
Wurde evtl. beim Aktualisieren irgendeine Komponente deinstalliert? Weil sie sich nicht mehr mit den neuen Sachen verträgt? kann essein dass die fehlt?

Kannst du mal schauen was du an amarok-xxx installiert hast, also helix, gstreamer, ...

Und hab ich das richtig verstanden, es geht GAR KEIN MP3 mehr im Moment?

Verfasst: 19. Nov 2005, 23:47
von LudwigVan
... doch, mit Kaffeeine kann ich mp3 spielen. Nur nicht mit amaroK. Wenn ich amaroK starte, sagt er mir, er kann keine mp3 spielen und die Dateien existieren nicht. Ich solle ein anderes engine auswählen, aber ich kann unter Einstellungen nur Helix auswählen...

Ich habe amarok-helix und amarok-helix-backend installiert. Eben hatte ich noch mehr, aber ich habe mal alles deinstalliert und die updates neu eingespielt, wobei ich es apt überlassen habe die notwendigen Pakete zu wählen.

Der Real-Player ist in der 10.0.6-3.2 vorhanden (wie mit SuSE 10.0 geliefert).

L.

Verfasst: 19. Nov 2005, 23:58
von Grothesk
Das ist schon soooo oft behandelt worden...
Hast du xine von packman installiert? libxine1 muss das Paket heißen.

Verfasst: 20. Nov 2005, 00:07
von ojkastl
Und wenn du amarok-xine oder amarok-gstreamer installierst, dann hast du auch andere Engines.

libxine?

Verfasst: 20. Nov 2005, 11:41
von LudwigVan
Hallo Grotesk,

... ich wüsste nicht, was das mit Libxine zu tun hat - abgesehn davon sind alle drei installiert. es geht nicht um dvd (funktioniert) sondern um mp3. Es sind alle xine, Kaffeeine etc. pakete installiert, die nicht von SuSE stammen. das Ergebnis bleibt das gleiche...

L.

amarok-xine und amarok-gstreamer sind installiert.

Verfasst: 20. Nov 2005, 12:10
von Grothesk
Was liefert: 'rpm -q amarok amarok-xine libxine1 mad'

Sowas sollte da raus kommen:

Code: Alles auswählen

amarok-1.3.6-5
amarok-xine-1.3.6-5
libxine1-1.1.1-0.pm.0
mad-0.15.1b-1.pm.0

Verfasst: 20. Nov 2005, 13:25
von Djinn
father:~ # rpm -q amarok amarok-xine libxine1 mad
amarok-1.3.6-5
amarok-xine-1.3.6-5
libxine1-1.1.1-0.pm.0
mad-0.15.1b-32.1

aber an der mad kanns doch nicht allein liegen oder?

Verfasst: 20. Nov 2005, 13:34
von Grothesk
Als Versuch:
Nimm doch einfach mal die 'mad' von Packman. Dann siehst du doch, ob es daran liegt...
Mehr experimentieren, jetzt! ;-)
Wo hast du denn deine 'mad' her? Ich finde im apt nur eine Version:

Code: Alles auswählen

mad:
  Installiert: 0.15.1b-1.pm.0
  Kandidat: 0.15.1b-1.pm.0
  Versionstabelle:
 *** 0.15.1b-1.pm.0 0
        500 ftp://ftp4.gwdg.de SuSE/10.0-i386/packman pkglist
        100 RPM Database[/quote]

Verfasst: 20. Nov 2005, 13:36
von Djinn
experimentieren ist immer gut :)
aber nur wenn man ein backup gemacht hat :)

Verfasst: 20. Nov 2005, 13:40
von Grothesk
Naja, ein so 'harmloses' Paket wie 'mad' tausche ich auch ohne Backup aus.

Verfasst: 20. Nov 2005, 13:42
von Djinn
tja funzt nicht :(

Verfasst: 20. Nov 2005, 13:56
von Grothesk
Als Audio-Ausgabe hast du xine eingestellt?

Verfasst: 20. Nov 2005, 15:46
von LudwigVan
... also das ist jetzt komisch...

Yast, apt und samrt sagen mir, dass amaroK installiert sei (alle oben genanneten pakete. rpm sagt mir aber:
linux:~ # rpm -q amaroK amaroK-xine libxine1 mad
package amaroK is not installed
package amaroK-xine is not installed
libxine1-1.1.1-0.pm.0
mad-0.15.1b-1.pm.0
linux:~ #
das verstehe ich nicht. Wenn ich amaroK aufrufe, startet es auch, nur mit dem o.g. Fehler...

L.

Verfasst: 20. Nov 2005, 15:53
von Grothesk
amarok mit kleinem 'k'. Dann findet die Datenbank das auch...

Verfasst: 20. Nov 2005, 16:01
von LudwigVan
Tja, dummer Fehler... :wink:

so, apt werkelt, alles nochmal runtergeschmissen, mad war richtig installiert und apt findet auch nur die eine Version...

Ergebnis kommt gleich. Verliere langsam die Geduld...

L.

Verfasst: 20. Nov 2005, 16:16
von LudwigVan
... also, das Wunder steckt manchmal im Undenkbarem...
linux:~ # rpm -q amarok amarok-xine libxine1 mad
amarok-1.3.6-1.guru.suse100.kde34
amarok-xine-1.3.6-1.guru.suse100.kde34
libxine1-1.1.1-0.pm.0
mad-0.15.1b-1.pm.0
Die Firma dankt, und alles funktioniert (mit xine - nicht mit helix). Auch wenn ich bei den letzten Installationsversuchen genau diese Kombination hatte...

Die Redmondisierung greift um sich. Dank Euch beiden nochmal für die Geduld, auch wenn
Das ist schon soooo oft behandelt worden...
Hast du xine von packman installiert? libxine1 muss das Paket heißen.
:roll:

Gruß L.[/quote]

Verfasst: 20. Nov 2005, 16:25
von Grothesk
Also den Herrn Beethoven haben wir verarztet. Was ist jetzt mit dem Djinn?

(Merkt jetzt zufällig jemand, wie unklug es ist in einen bestehenden Thread reinzuposten...)

Verfasst: 20. Nov 2005, 17:39
von ojkastl
Grothesk hat geschrieben:Also den Herrn Beethoven haben wir verarztet. Was ist jetzt mit dem Djinn?

(Merkt jetzt zufällig jemand, wie unklug es ist in einen bestehenden Thread reinzuposten...)
*Meld*

Verfasst: 20. Nov 2005, 18:12
von Djinn
als das xine ausagabe modul funzt ja schon (zumindest bis es abstürzt)

Das Helix meldet :
Das Helix Ausgabe-Modul lässt sich nicht initialisieren. Bitte prüfen Sie die Pfade unter "Einstellungen -> amaroK einrichten... -> Audio-Ausgabe".

und Gstreamer
sagst garnicht